## ros-noetic-rm-referee 0.1.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,6 @@
 find_package(catkin REQUIRED
         COMPONENTS
         sensor_msgs
-        roslint
         roscpp
         rm_msgs
         serial
@@ -45,7 +44,6 @@
         CATKIN_DEPENDS
         roscpp
         sensor_msgs
-        roslint
         rm_msgs
         rm_common
         tf2_geometry_msgs
@@ -117,9 +115,3 @@
 #      test/AlgorithmTest.cpp)
 #  target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME}_core)
 #endif ()
-
-##########################
-## Static code analysis ##
-##########################
-
-roslint_cpp()
