=== debian/changelog ===
ros-noetic-rm-referee (0.1.18-1focal) focal; urgency=high

  * Merge pull request #113 <https://github.com/ye-luo-xi-tui/rm_control/issues/113> from chenhuiYu00/dev/polygon_ui
    Add polygon UI.
  * Merge pull request #109 <https://github.com/ye-luo-xi-tui/rm_control/issues/109> from ljq-lv/Delete
    Delete the chassis mode "GYRO"
  * Merge pull request #116 <https://github.com/ye-luo-xi-tui/rm_control/issues/116> from ye-luo-xi-tui/master
    Display shooter block state
  * Delete ShootCmd subscriber.
  * Display shooter block state.
  * Delete test polygon ui.
  * Merge branch 'master' into dev/polygon_ui
  * Delete the chassis mode "GYRO"
  * Merge branch 'master' into gazebo_imu_reserve
  * Merge pull request #106 <https://github.com/ye-luo-xi-tui/rm_control/issues/106> from YoujianWu/work
    Delete dependence roslint.
  * Run pre-commit.
  * Delete dependence roslint.
  * Test GroupUi in real robot.
  * Rebase FixedUi.
  * Add GroupUiBase class and Polygon ui.
  * Merge branch 'master' into acceleration
    # Conflicts:
    #     rm_common/include/rm_common/decision/command_sender.h
  * Merge pull request #104 <https://github.com/ye-luo-xi-tui/rm_control/issues/104> from ye-luo-xi-tui/master
    0.1.17
  * Contributors: Kook, ljq-lv, ye-luo-xi-tui, yezi, yuchen

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 25 Mar 2023 00:00:00 -0000

ros-noetic-rm-referee (0.1.17-1focal) focal; urgency=high

  * Merge pull request #100 <https://github.com/ye-luo-xi-tui/rm_control/issues/100> from ljq-lv/modified_msgs_name
    Modified msgs name
  * Modified the function and topic name
  * Modified the function and topic name
  * Modified the msg "EngineerCmd" name
  * Merge pull request #88 <https://github.com/ye-luo-xi-tui/rm_control/issues/88> from sloretz/sloretz_remove_invalid_char
    Remove 0x01 char from changelog
  * Merge pull request #86 <https://github.com/ye-luo-xi-tui/rm_control/issues/86> from chenhuiYu00/dev/lane_line_ui
    Add lane line ui.
  * Add reference_joint param.
  * Remove 0x01 char from changelog
  * Add pitch index.
  * Update Ui.
  * Optimize LaneLine ui.
  * Merge branch 'rm-controls:master' into master
  * Add LaneLine ui.
  * Merge pull request #84 <https://github.com/ye-luo-xi-tui/rm_control/issues/84> from ye-luo-xi-tui/master
    0.1.16
  * Merge branch 'rm-controls:master' into master
  * Merge branch 'rm-controls:master' into master
  * Contributors: Shane Loretz, ljq-lv, ye-luo-xi-tui, yuchen, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-rm-referee (0.1.16-1focal) focal; urgency=high

  * Merge pull request #80 <https://github.com/ye-luo-xi-tui/rm_control/issues/80> from ljq-lv/new_ui_test
    Improve the Ui to reduce data transport
  * Modified the braces of rm_common
  * Modified the braces of rm_common
  * Fixed the error of wrong named
  * Fixed the error of wrong named
  * Modified the name of time stamp
  * Delete the director of "referee" in CMakeLists.txt
  * Improve the struct of directory
  * Divide ui.cpp into different type cpp
  * Add the empty function to updateManualCmdData()
  * Move updateManualCmdData into parent class
  * Delete the usleep()
  * Add the rpc_value of fixed
  * Delete unnecessary function run()
  * Modified the param's name and combined the if
  * Modified the named of time
  * Add destructor function
  * Modified the logic to get param
  * Modified the named of time stamp
  * Improve the way to get param
  * Delete unnecessary init and NodeHandle
  * Move the class's init from cpp to h
  * Move referee_ui_'s init into rm_referee::Referee
  * Delete the parent Delete the part of update
  * Delete the part of Referee.msg
  * Run pre-commit
  * Merge branch 'master' into new_ui_test
  * Merge pull request #78 <https://github.com/ye-luo-xi-tui/rm_control/issues/78> from chenhuiYu00/dev/command_sender
    Check the modification of command sender.
  * Add namespace "referee" before topic's name
  * Fixed code style
  * Add "referee_" before topic's name
  * Fixed the spelling error
  * Fixed the spelling error
  * Fixed the cover state's bug
  * Test the basic ui function successful
  * Locate the bug of capacity class
  * Locate the bug of chassis class
  * Add the chassis class
  * Fix the logic of CheckUiAdd()
  * Delete chassis class to test bug
  * Modified the struct of ui
  * Modified the struct of ui
  * Test the init of referee_base
  * Add test code
  * Delete referee msg and update command sender.
  * test
  * Move the robot_id and robot_color from "Base" to the class "DataTranslation"
  * Add the class "DataTranslation" to deal with serial_
  * Merge pull request #76 <https://github.com/ye-luo-xi-tui/rm_control/issues/76> from chenhuiYu00/accleration_Initial_value
    Add accleration initial value.
  * Merge branch 'rm-controls:master' into master
  * Code format.
  * Merge pull request #70 <https://github.com/ye-luo-xi-tui/rm_control/issues/70> from chenhuiYu00/rm_referee_pr
    Complete the referee part of manual separation.
  * Remove referee config.
  * Move files.
  * Type conversion.
  * Add RobotID enum.
  * Delete /common/data.h, Update power_limit and heat_limit.
  * Update date acquisition in command_sender.
  * Naming conventions.
  * Move referee part from rm_common to rm_referee and modify ui sending logic.
  * Add referee is_online msg.
  * Adjust referee data sending way and adapt current ui.
  * Add referee msg.
  * Merge and fixed conflict.
  * Write radar interactive.
  * Add radar part.
  * Fixed bug.
  * Add gimablchassis ui.
  * Ui work success,ore ui is in test.
  * Try reuse power limit state.
  * Change Variable name,color problem in powerlimitstate.
  * Fixed some problems,not ready.
  * Update config,referee only send ui once.
  * Add ore remain,dart remain ui.
  * Fixed topic naming, add time stamp in referee msgs.
  * Merge date.
  * Fixed for test manual,Immature work.
  * Merge branch 'rm_referee1' into referee1
  * Merge date.

